package com.xkrs.weather.entity;

import java.io.Serializable;

/**
 * @author XinYi Song
 */
public class WeatherResponse implements Serializable {
    private static final long serialVersionUID = -8483256225271502962L;
    private Weather data;
    private Integer status;
    private String desc;

    public WeatherResponse() {
    }

    public WeatherResponse(Weather data, Integer status, String desc) {
        this.data = data;
        this.status = status;
        this.desc = desc;
    }

    public Weather getData() {
        return data;
    }

    public void setData(Weather data) {
        this.data = data;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    @Override
    public String toString() {
        return "WeatherResponse{" +
                "data=" + data +
                ", status=" + status +
                ", desc='" + desc + '\'' +
                '}';
    }
}
